Session
No description
type Session implements Node {
nodeId: ID!
id: String!
workspaceId: String
workspaceAccountId: String!
startedAt: Datetime!
endedAt: Datetime
deletedAt: Datetime
updatedAt: Datetime!
createdAt: Datetime!
workspaceAccount: WorkspaceAccount
activitiesConnection(
first: Int
last: Int
offset: Int
before: Cursor
after: Cursor
orderBy: [ActivitiesOrderBy!] = [PRIMARY_KEY_ASC]
condition: ActivityCondition
filter: ActivityFilter
): ActivitiesConnection! @deprecated
activities(
first: Int
offset: Int
orderBy: [ActivitiesOrderBy!]
condition: ActivityCondition
filter: ActivityFilter
): [Activity!]! @deprecated
}
Fields
Session.nodeId ● ID! non-null scalar
A globally unique identifier. Can be used in various places throughout the system to identify this single value.
Session.id ● String! non-null scalar
Session.workspaceId ● String scalar
Session.workspaceAccountId ● String! non-null scalar
Session.startedAt ● Datetime! non-null scalar
Session.endedAt ● Datetime scalar
Session.deletedAt ● Datetime scalar
Session.updatedAt ● Datetime! non-null scalar
Session.createdAt ● Datetime! non-null scalar
Session.workspaceAccount ● WorkspaceAccount object
Reads a single WorkspaceAccount that is related to this Session.
Show deprecatedHide deprecated
Session.activitiesConnection ● ActivitiesConnection! deprecated non-null object
Use GET https://api.inaccord.com/1/analytics/activities instead. Same Bearer API key; cursor-paginated and ordered by updatedAt. It exports the whole workspace and takes no accordId filter, so a per-accord read pages the export and filters on each node accordId. See https://developers.inaccord.com/activity-export. This table is removed once every consumer has migrated.
Reads and enables pagination through a set of Activity.
Session.activitiesConnection.first ● Int scalar
Only read the first n values of the set.
Session.activitiesConnection.last ● Int scalar
Only read the last n values of the set.
Session.activitiesConnection.offset ● Int scalar
Skip the first n values from our after cursor, an alternative to cursor
based pagination. May not be used with last.
Session.activitiesConnection.before ● Cursor scalar
Read all values in the set before (above) this cursor.
Session.activitiesConnection.after ● Cursor scalar
Read all values in the set after (below) this cursor.
Session.activitiesConnection.orderBy ● [ActivitiesOrderBy!] list enum
The method to use when ordering Activity.
Session.activitiesConnection.condition ● ActivityCondition input
A condition to be used in determining which values should be returned by the collection.
Session.activitiesConnection.filter ● ActivityFilter input
A filter to be used in determining which values should be returned by the collection.
Session.activities ● [Activity!]! deprecated non-null object
Use GET https://api.inaccord.com/1/analytics/activities instead. Same Bearer API key; cursor-paginated and ordered by updatedAt. It exports the whole workspace and takes no accordId filter, so a per-accord read pages the export and filters on each node accordId. See https://developers.inaccord.com/activity-export. This table is removed once every consumer has migrated.
Reads and enables pagination through a set of Activity.
Session.activities.first ● Int scalar
Only read the first n values of the set.
Session.activities.offset ● Int scalar
Skip the first n values.
Session.activities.orderBy ● [ActivitiesOrderBy!] list enum
The method to use when ordering Activity.
Session.activities.condition ● ActivityCondition input
A condition to be used in determining which values should be returned by the collection.
Session.activities.filter ● ActivityFilter input
A filter to be used in determining which values should be returned by the collection.
Interfaces
Node interface
An object with a globally unique ID.
Returned By
session query ● sessionByNodeId query ● sessions query
Member Of
Activity object ● SessionsConnection object ● SessionsEdge object ● WorkspaceAccount object